{% extends 'base.html.twig' %}

{% block title %}Hoja de Valoración{% endblock %}
{% block watermark %}
    <div class="watermarked valoracion" data-watermark="{{app.user.username}}"></div>
{% endblock %}
{% block body %}
<div class="container">
  <section>
  <div class="valoraciones text-black">
    <div class="container">
      <div class="row">
          <div class="col-6">
            <h4>Hoja de Valoración de Enfermería</h4>
          </div>
          <div class="col-6">
            <a class="btn btn-primary btn-sm  d-print-none"
              href="{{ path('enfermeria_guardia_new', {'valoracion': valoracione.id}) }}">
              <span>
                <i class="fas fa fa-plus"></i>
              </span>
              Agregar Registro Hoja de Enfermería
            </a>
          </div>
      </div>
    </div>
    <div class="container border">
      <div class="row">
        <div class="col-4">
          <b>Apellido y Nombre:</b> <a href="{{ path('pacientes_show', {'id': valoracione.paciente.first.id}) }}">{{valoracione.paciente.first.apellido}}, {{valoracione.paciente.first.nombre}}</a>
        </div>
        <div class="col-4">
          <b>Edad:</b> {{date("now"|date('d-m-Y')).diff(valoracione.paciente.first.fechaNacimiento).y}}
        </div>
        <div class="col-4">
          <b>Fecha de Nacimiento:</b> {{valoracione.paciente.first.fechaNacimiento|date('d/m/Y')}}
        </div>
      </div>
      <div class="row">
        <div class="col-4">
          <b>DNI:</b> {{valoracione.paciente.first.dni}}
        </div>
        <div class="col-4">
          <b>Domicilio:</b> {{valoracione.paciente.first.domicilio}}
        </div>
        <div class="col-4">
          <b>Obra Social:</b> {{valoracione.paciente.first.obraSocial}}
        </div>
      </div>
      <div class="row">
        <div class="col-4">
          <b>Teléfono:</b> {{valoracione.paciente.first.telefono}}
        </div>
        <div class="col-4">
          <b>Fecha de Ingreso:</b> {{valoracione.fechaIngreso ? valoracione.fechaIngreso|date('d/m/Y')}}
        </div>
        <div class="col-4">
          <b>Hora:</b> {{valoracione.horaLlegada ? valoracione.horaLlegada|date('H:i')}}
        </div>
      </div>
      <div class="row">
        <div class="col-6">
          <b>Motivo de Consulta:</b> {{valoracione.motivoConsulta}}
        </div>
        <div class="col-6">
          <b>Médico:</b> {{valoracione.medico}}
        </div>
      </div>
    </div>
    <div class="container border-bottom mt-2">
      <div class="row">
        <div class="col-12">
          <b><u>PROCEDENCIA</u></b>: {{ valoracione.procedencia }}
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          <b><u>FORMA DE ARRIBO</u></b>: {{ valoracione.formaArribo }}. {{ valoracione.formaArriboComentario ? "("~ valoracione.formaArriboComentario ~ ")" : ''}}
        </div>
      </div>
    </div>
    <div class="container border-bottom mt-2">
      <div class="row">
        <div class="col-12">
          <b><u>CONTROL DE SIGNOS VITALES</u></b>
        </div>
        <div class="col-3">
          <b>T/A</b>: {{ valoracione.ta }}
        </div>
        <div class="col-3">
          <b>FC</b>: {{ valoracione.fc }}
        </div>
        <div class="col-3">
          <b>FR</b>: {{ valoracione.fr }}
        </div>
        <div class="col-3">
          <b>T°</b>: {{ valoracione.temperatura }}
        </div>
      </div>
      <div class="row">
        <div class="col-4">
          <b>SPO2</b>: {{ valoracione.spo2 }}
        </div>
        <div class="col-4">
          <b>GLUCEMIA</b>: {{ valoracione.glucemia }}
        </div>
        <div class="col-4">
          <b>GLASGOW</b>: {{ valoracione.glasgow }}
        </div>
      </div>
    </div>
    {% if valoracione.oxigenoTerapias|length > 0 %}
      <div class="container border-bottom mt-2">
        <div class="row">
          <div class="col-12">
            <b><u>OXIGENOTERAPIA</u></b>
          </div>
          <div class="col-6">
            <ul>
              {% for item in valoracione.oxigenoTerapias %}
              <li>{{item.nombre}}</li>
              {% endfor %}
            </ul>
          </div>
          <div class="col-6">
            <b>Tubo Número:</b> {{ valoracione.tuboNumero }}
          </div>
        </div>
        <div class="col-12">
        </div>
      </div>
    {% endif %}
    <div class="container border-bottom mt-2">
      <div class="row">
        <div class="col-12">
          <b><u>ANTECEDENTES PERSONALES</u></b>
        </div>
        <div class="col-12">
          <b>Medicación Habitual:</b> {{valoracione.medicacionHabitual}}
        </div>
        <div class="col-12">
          <b>Alérgico a algún medicamento:</b> {{valoracione.alergicoMedicamento}}
        </div>
        <div class="col-12">
          <b>Cirugías:</b> {{valoracione.cirugias}}
        </div>
        <div class="col-12">
          <b>Fuente de Información:</b> {{valoracione.fuenteInformacion}}
        </div>
      </div>
    </div>

    {% if valoracione.pielTergumentos|length > 0 %}
      <div class="container border-bottom mt-2">
        <div class="row">
          <div class="col-12">
            <b><u>INTEGRIDAD DE LA PIEL Y TERGUMENTOS</u></b>
          </div>
          <div class="col-6">
            <ul>
              {% for item in valoracione.pielTergumentos %}
              <li>{{item.nombre}}</li>
              {% endfor %}
            </ul>
          </div>
          {% if valoracione.pielTergumentosOtras %}
            <div class="col-6">
              <b>Otras:</b> {{ valoracione.pielTergumentosOtras }}
            </div>
          {% endif %}
        </div>
      </div>
    {% endif %}

    {% if valoracione.heridas|length > 0 %}
      <div class="container border-bottom mt-2">
        <div class="row">
          <div class="col-12">
            <b><u>HERIDAS</u></b>
          </div>
          <div class="col-6">
            <ul>
              {% for item in valoracione.heridas %}
              <li>{{item.nombre}}</li>
              {% endfor %}
            </ul>
          </div>
        </div>
      </div>
    {% endif %}

    {% if valoracione.accesosPerifericos|length > 0 %}
      <div class="container border-bottom mt-2">
        <div class="row">
          <div class="col-12">
            <b><u>ACCESOS PERIFÉRICOS</u></b>
          </div>
          <div class="col-6">
            <ul>
              {% for item in valoracione.accesosPerifericos %}
              <li>{{item.nombre}}</li>
              {% endfor %}
            </ul>
          </div>
        </div>
      </div>
    {% endif %}

    {% if valoracione.estadoConciencia|length > 0 %}
      <div class="container border-bottom mt-2">
        <div class="row">
          <div class="col-12">
            <b><u>OBSERVACIÓN - ESTADO DE CONCIENCIA</u></b>
          </div>
          <div class="col-6">
            <ul>
              {% for item in valoracione.estadoConciencia %}
              <li>{{item.nombre}}</li>
              {% endfor %}
            </ul>
          </div>
          {% if valoracione.estadoConcienciaOtro %}
            <div class="col-6">
              <b>Otras:</b> {{ valoracione.estadoConcienciaOtro }}
            </div>
          {% endif %}
        </div>
        <div class="col-12">
        </div>
      </div>
    {% endif %}
    <div class="container mt-2">
      <div class="row">
        <div class="col-6">
          <b><u>COMUNICACIÓN</u></b>
          <ul>
            {% for item in valoracione.comunicacion %}
            <li>{{item.nombre}}</li>
            {% endfor %}
          </ul>
        </div>
        <div class="col-6">
          <b><u>VISIÓN</u></b>
          <ul>
            {% for item in valoracione.vision %}
            <li>{{item.nombre}}</li>
            {% endfor %}
          </ul>
        </div>
      </div>
    </div>
      <div class="container mt-2">
        <div class="row">
          <div class="col-12">
            <b><u>OIDOS</u></b>
          </div>
          <div class="col-6">
            <ul>
              {% for item in valoracione.oidos %}
              <li>{{item.nombre}}</li>
              {% endfor %}
            </ul>
          </div>
          <div class="col-6">
            <b><u>VACUNAS</u></b>
            <ul>
              {% for item in valoracione.vacunas %}
              <li>{{item.nombre}}</li>
              {% endfor %}
              {% if valoracione.fechaAplicacionAntigripal %}
                <li>Fecha de Aplicación Antigripal: {{valoracione.fechaAplicacionAntigripal|date('d/m/Y')}}</li>
              {% endif %}
            </ul>
          </div>
        </div>
      </div>
    {% if valoracione.antecedentesPersonales|length > 0 %}
      <div class="container border-bottom mt-2">
        <div class="row">
          <div class="col-12">
            <b><u>ANTECEDENTES PERSONALES</u></b>
          </div>
          <div class="col-6">
            <ul>
              {% for item in valoracione.antecedentesPersonales %}
              <li>{{item.nombre}}</li>
              {% endfor %}
            </ul>
          </div>
          <div class="col-12">
            <b>Otro:</b> {{ valoracione.antecedentesPersonalesOtras }}
          </div>
          <div class="col-12">
            <b>Observación:</b> {{valoracione.antecedentesPersonalesObservacion}}
          </div>
        </div>
      </div>
    {% endif %}
    <div class="container border-bottom mt-2">
      <div class="row">
        <div class="col-12">
          <b><u>ESTUDIOS COMPLEMENTARIOS</u></b>
        </div>
        <div class="col-6">
          <ul>
            {% for item in valoracione.estudiosComplementarios %}
            <li>{{item.nombre}}</li>
            {% endfor %}
          </ul>
        </div>
        {% if valoracione.estudiosComplementariosOtros %}
          <div class="col-12">
            <b>Otro:</b> {{ valoracione.estudiosComplementariosOtros }}
          </div>
        {% endif %}
      </div>
    </div>
    <div class="d-flex flex-row-reverse">
      <div class="p-2">FIRMA Responsable</div>
    </div>
  </div>
  </section>
  <section>
    <div class="container border">
      <div class="row">
        <div class="col-12">
          <h3><b>HOJA DE ENFERMERÍA DE GUARDIA</b></h3>
        </div>
        <div class="col-12">
          <table class="table table-responsive-sm">
            <thead>
              <tr>
                <th scope="col">Fecha</th>
                <th scope="col">Hora</th>
                <th scope="col">Tratamiento y Observaciones</th>
                <th scope="col">Dosis</th>
                <th scope="col">Via</th>
                <th scope="col">Usuario</th>
              </tr>
            </thead>
            <tbody>
              {% for item in valoracione.enfermeriaGuardias %}
                <tr>
                  <th scope="row" class="border">{{item.fecha|date('d/m/Y')}}</th>
                  <td class="border">{{item.hora|date('H:i')}}</td>
                  <td class="border">{{item.observaciones}}</td>
                  <td class="border">{{item.dosis}}</td>
                  <td class="border">{{item.via}}</td>
                  <td class="border">{{item.usuarioId.apellido ~ ', ' ~ item.usuarioId.nombre}}</td>
                </tr>
              {% endfor %}
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </section>
</div>
{% endblock %}
{% block javascripts %}
 {{parent()}}
 <script>
     Array.from(document.querySelectorAll('.watermarked')).forEach(function(el) {
        el.dataset.watermark = (el.dataset.watermark + ' ').repeat(1800);
      });
 </script>
{% endblock %}
